package org.dromara.game.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 渠道对象 plat_channel
 *
 * @author Hixon
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("plat_channel")
public class PlatChannel extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 渠道ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 产品ID
     */
    private Long productId;

    /**
     * 代理商ID
     */
    private Long proxyId;

    /**
     * 媒体账号ID
     */
    private String accountId;

    /**
     * 产品名
     */
    private String productName;

    /**
     * 媒体类型
     */
    private String platType;

    /**
     * 投放人员名称
     */
    private String userName;

    /**
     * 渠道名称
     */
    private String name;

    /**
     * 公司名
     */
    private String company;

    /**
     * 运营方式
     */
    private String operatingMode;

    /**
     * 投放方式
     */
    private String deliveryMode;

    /**
     * 激活上报规则
     */
    private String activeRules;

    /**
     * 关键行为上报规则
     */
    private String actionRules;

    /**
     * 是否上报
     */
    private String isReport;

    /**
     * 状态（0正常 1停用）
     */
    private String status;


}
