package org.dromara.game.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.game.domain.PlatProductProxy;

/**
 * 产品代理商业务对象 plat_product_proxy
 *
 * @author Hixon
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = PlatProductProxy.class, reverseConvertGenerate = false)
public class PlatProductProxyBo extends BaseEntity {

    /**
     * 代理商ID
     */
    @NotNull(message = "代理商ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 代理商名称
     */
    @NotBlank(message = "代理商名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;


}
